Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Carp
  • strict
  • vars

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: String::Multibyte::Big5, String::Multibyte::Big5Plus, String::Multibyte::Bytes, String::Multibyte::EUC, String::Multibyte::EUC_JP, String::Multibyte::EUC_TW, String::Multibyte::GB18030, String::Multibyte::GBK, String::Multibyte::Grapheme, String::Multibyte::Johab, String::Multibyte::ShiftJIS, String::Multibyte::UHC, String::Multibyte::UTF16BE, String::Multibyte::UTF16LE, String::Multibyte::UTF32BE, String::Multibyte::UTF32LE, String::Multibyte::UTF8, String::Multibyte::Unicode

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: String::Multibyte, String::Multibyte::Big5, String::Multibyte::Big5Plus, String::Multibyte::Bytes, String::Multibyte::EUC, String::Multibyte::EUC_JP, String::Multibyte::EUC_TW, String::Multibyte::GB18030, String::Multibyte::GBK, String::Multibyte::Grapheme, String::Multibyte::Johab, String::Multibyte::ShiftJIS, String::Multibyte::UHC, String::Multibyte::UTF16BE, String::Multibyte::UTF16LE, String::Multibyte::UTF32BE, String::Multibyte::UTF32LE, String::Multibyte::UTF8, String::Multibyte::Unicode

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
String::Multibyte manipulation of multibyte character strings 1.12 metacpan
String::Multibyte::Big5 internally used by String::Multibyte for Big-5 1.12 metacpan
String::Multibyte::Big5Plus internally used by String::Multibyte for Big-5 Plus 1.12 metacpan
String::Multibyte::Bytes internally used by String::Multibyte for bytes encoding scheme 1.12 metacpan
String::Multibyte::EUC internally used by String::Multibyte for simple EUC encodings 1.12 metacpan
String::Multibyte::EUC_JP internally used by String::Multibyte for EUC-JP 1.12 metacpan
String::Multibyte::EUC_TW internally used by String::Multibyte for EUC-TW 1.12 metacpan
String::Multibyte::GB18030 internally used by String::Multibyte for GB18030 1.12 metacpan
String::Multibyte::GBK internally used by String::Multibyte for GBK 1.12 metacpan
String::Multibyte::Grapheme internally used by String::Multibyte for Default Grapheme Clusters in Unicode 1.12 metacpan
String::Multibyte::Johab internally used by String::Multibyte for Johab 1.12 metacpan
String::Multibyte::ShiftJIS internally used by String::Multibyte for Shift-JIS 1.12 metacpan
String::Multibyte::UHC internally used by String::Multibyte for UHC 1.12 metacpan
String::Multibyte::UTF16BE internally used by String::Multibyte for UTF-16BE 1.12 metacpan
String::Multibyte::UTF16LE internally used by String::Multibyte for UTF-16LE 1.12 metacpan
String::Multibyte::UTF32BE internally used by String::Multibyte for UTF-32BE 1.12 metacpan
String::Multibyte::UTF32LE internally used by String::Multibyte for UTF-32LE 1.12 metacpan
String::Multibyte::UTF8 internally used by String::Multibyte for UTF-8 1.12 metacpan
String::Multibyte::Unicode internally used by String::Multibyte for Unicode (Perl's internal format) 1.12 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan